net.sf.okapi.common

## Class ExecutionContext

- java.lang.Object
- - net.sf.okapi.common.BaseContext
  - - net.sf.okapi.common.ExecutionContext

- All Implemented Interfaces:
    IContext

      public class ExecutionContext
      extends BaseContext

  A class to encapsulate information about execution details such as the name of the application, the current UI parent, etc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutionContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getApplicationName()`
    `boolean` | `getIsGui()`
    `boolean` | `getIsNoPrompt()`
    `java.lang.Object` | `getUiParent()`
    `void` | `setApplicationName(java.lang.String name)`
    `void` | `setIsNoPrompt(boolean bool)`
    `void` | `setUiParent(java.lang.Object uiParent)`

    - ### Methods inherited from class net.sf.okapi.common.BaseContext

      `clearAnnotations, clearProperties, getAnnotation, getBoolean, getInteger, getObject, getProperties, getString, removeProperty, setAnnotation, setBoolean, setInteger, setObject, setString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutionContext

          public ExecutionContext()

  - ### Method Detail

    - #### getIsGui

          public boolean getIsGui()

    - #### setIsNoPrompt

          public void setIsNoPrompt(boolean bool)

    - #### getIsNoPrompt

          public boolean getIsNoPrompt()

    - #### setUiParent

          public void setUiParent(java.lang.Object uiParent)

    - #### getUiParent

          public java.lang.Object getUiParent()

    - #### setApplicationName

          public void setApplicationName(java.lang.String name)

    - #### getApplicationName

          public java.lang.String getApplicationName()